13 июля 2016

Установить/обновить ядро Linux Kernel 4.6.4 в Ubuntu и производные

Предупреждение. Ядро Linux является критичным элементом системы. Обновления ядра могут содержать улучшения аппаратной поддержки или устранять уязвимости.  Делать обновление стоит когда одно из аппаратных устройств работает некорректно, а новое ядро может решить данную проблему.  Но в тоже время установка нового ядра без особой необходимости может привести к нежелательным регрессиям, таким как: отсутствие подключения к сети, отсутствие звука или даже невозможность загрузить систему, поэтому устанавливайте новое ядро на свой страх и риск.

Ядро Linux Kernel 4.6.4 является четвёртым корректировочным выпуском ядра версии 4.6.
Для установки вы можете скачать соответствующие deb пакеты ОТСЮДА и установить их в Центре приложений Ubuntu. Или просто следуйте приведенным ниже инструкциям, которые помогут вам установить новое ядро несколькими командами в терминале.

Установить ядро версии 4.6.4 командами ниже, можно ​​в следующих дистрибутивах Linux:

Ubuntu 16.04/15.10/14.04/12.04
Linux Mint 17.3/17.2/17.1/17/13
elementary OS 0.2/0.3/0.3.2

Установка ядра Linux Kernel 4.6.4

1. Откройте терминал, скопируйте и выполните одну из команд, согласно архитектуры вашей системы: 32 или 64-bit.

Для 32-bit (одной командой):

cd /tmp; wget http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.6.4/linux-headers-4.6.4-040604-generic_4.6.4-040604.201607111332_i386.deb http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.6.4/linux-headers-4.6.4-040604_4.6.4-040604.201607111332_all.deb http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.6.4/linux-image-4.6.4-040604-generic_4.6.4-040604.201607111332_i386.deb; sudo dpkg -i *.deb

Для 64-bit (одной командой): 

cd /tmp; wget http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.6.4/linux-headers-4.6.4-040604-generic_4.6.4-040604.201607111332_amd64.deb http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.6.4/linux-headers-4.6.4-040604_4.6.4-040604.201607111332_all.deb http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.6.4/linux-image-4.6.4-040604-generic_4.6.4-040604.201607111332_amd64.deb; sudo dpkg -i *.deb

 2. Обновите GRUB (GRUB надо обновлять в той системе Linux где он установлен, если у вас их более одной):

sudo update-grub

Примечание 1
.
Если у вас установлен загрузчик BURG, то и его нужно обновить:

sudo update-burg

3. По окончании установки, закройте все приложения и перезагрузите компьютер следующей командой:

sudo reboot

После входа в систему, проверьте версию актуального ядра командой в терминале:

uname -r


Примечание 2. Ядро версии версии 4.6.4 установилось с проприетарным драйвером Nvidia и система работает стабильно только в дистрибутивах Ubuntu 16.04/Linux Mint 18:

Ubuntu 16.04


Linux Mint 18


В дистрибутивах Ubuntu 14.04 и Linux Mint 17.3 с новым ядром система работает стабильно только с свободным драйвером.

Примечание 3. Как вернуться к ранее установленному ядру, инструкция ЗДЕСЬ.

Если вы решили удалить ядро 4.6.4, выполните эту команду:

sudo apt-get purge linux-image-4.6.4-*

И вновь обновите GRUB командой:

sudo update-grub

Источник: https://www.kernel.org/

Удачи.

25 комментариев :

  1. корректно заработал интернет (ощутимо)

    ОтветитьУдалить
    Ответы
    1. А можно поконкретней? И в чем выражается эта ваша "ощутимость"?

      Удалить
    2. сменить wi-fi на провод можно было только после перезагрузки (Lenovo G780)

      Удалить
    3. $ sudo apt-get update
      $ sudo apt-get install firmware-b43-installer
      $ sudo apt-get remove bcmwl-kernel-source
      $ sudo reboot
      можно так

      Удалить
  2. У меня 3G E303s тоже подключается не с первого раза этак 5 ядро 4,6,2.

    ОтветитьУдалить
  3. А у меня всё ок с интернетами. И провод и вайфай и 3Г. Последнее ядро из оффреп))

    ОтветитьУдалить
  4. Вопрос: будет ли работать данная версия ядра в Deepin 15.2?

    ОтветитьУдалить
    Ответы
    1. Не могу сказать уверенно. У меня не установлен Deepin, чтобы проверить. Но думою должна работать данная версия ядра. Попробуйте.

      Удалить
    2. Ядро запустилось на Deepin, поставил несколько часов назад, единственный минус - это не работает переключение графики с nvidia на intel (да, да у меня долбаный гибрид).

      Удалить
  5. Ура вышел новый Скайп, в альфа версии, уже поставил покрайнее мере все красиво ))

    ОтветитьУдалить
  6. Феноменально: процесс compiz перестал грузить процессор!

    ОтветитьУдалить
  7. Жаль что эти ядра не работают на linux mint 18 Cinnamon с проприетарным драйвером Nvidia 210.

    ОтветитьУдалить
    Ответы
    1. >>Жаль что эти ядра не работают на linux mint 18 Cinnamon с проприетарным драйвером Nvidia 210.<<
      Какие эти ядра? По моему здесь есть возможность скачать только одно ядро, а именно Linux Kernel 4.6.4.
      И да, с проприетарным драйвером Nvidia 210, все прекрасно работает. Даже linux mint 18 Cinnamon!
      Вы не любите кошек? Да Вы просто не умеете их готовить! (с) Альф.

      Удалить
    2. эти ядра , это те что выше 4,4 ...4.5-4.6 , а не работает вот ,что конкретно- не выставляется мое разрешение экрана 1440х900 и я все мануалы по инету изучил , у меня не подгонишь .Готовить умею , плита с другими конфорками .

      Удалить
  8. Обновился, полёт нормально, благодарю!

    пысы. Небольшой оффтоп. Подскажите как глобально в Xubuntu 16.04 установить разрешение экрана? В старых версиях вопрос решался созданием Xorg.conf с соответствующим параметром monitor, в этой версии почему-то не создаётся этот файл.

    ОтветитьУдалить
  9. После обновления драйверов nvidia 361.45,18 на 367.35 обновил ядро все получилось нормально.Раньше с драйвером 361.45 обновление ядра не получалось.

    ОтветитьУдалить
  10. Linux Mint 18, Cinnamon,с ядром 4.6.4 x64 принтер HP LaserJet 1020 отказывается печатать. В системе определяется, но при отправке задания молчит.

    ОтветитьУдалить
  11. Принтер HP LJ 1020 заработал после обновления HPLIP, а так же HP plug-in менеджер. Без менеджера молчал и с новым HPLIP.

    ОтветитьУдалить
  12. Kubuntu 16.04 с nvidia 367.35 всё работает,спасибо.

    ОтветитьУдалить